package com.steerinfo.baseinfo.meterbasecar.mapper;

import com.steerinfo.baseinfo.meterbasecar.model.MeterBaseCar;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.List;
import java.util.Map;

import feign.Param;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterBaseCarMapper extends IBaseMapper<MeterBaseCar, String> {
    String GetNewID(@Param(value="afl")String afl);

    List<MeterBaseCar> selectForUpdate(Map<String, Object> parameters);

    void deleteCarById(@Param("list") List<String> list, String currentUserId, String currentUserName);
    void enableCarById(@Param("list") List<String> driverNos);

    List<MeterBaseCar> selectByMap(Map<String, Object> parameters);

    int updateValidFlagById(Map<String, Object> parameters);

    List<MeterBaseCar> selectByParametersNoPage(Map<String, Object> parmas);

    int reNewID(MeterBaseCar map);

    String ssoIdBySysUser(Map<String, Object> parmas);
}
